diff --git a/src/Home/Sound/AC97/Pci.ZC b/src/Home/Sound/AC97/Pci.ZC
index 9f83604d..1309068d 100644
--- a/src/Home/Sound/AC97/Pci.ZC
+++ b/src/Home/Sound/AC97/Pci.ZC
@@ -86,4 +86,4 @@ MemSet(&@pci_int_handler, NULL, sizeof(U64) * PCI_INTH_MAX);
 // IntEntrySet(0x41, &@pci_interrupt_handler, IDTET_IRQ);
 // IntEntrySet(0x42, &@pci_interrupt_handler, IDTET_IRQ);
 // IntEntrySet(0x43, &@pci_interrupt_handler, IDTET_IRQ);
-//@pci_reroute_interrupts(0x40, 0);
\ No newline at end of file
+//@pci_reroute_interrupts(0x40, 0);
\ No newline at end of file
diff --git a/src/Home/Sound/HDAudio0/HDAudio.ZC b/src/Home/Sound/HDAudio0/HDAudio.ZC
index cd73d284..718b9f53 100644
--- a/src/Home/Sound/HDAudio0/HDAudio.ZC
+++ b/src/Home/Sound/HDAudio0/HDAudio.ZC
@@ -1049,4 +1049,4 @@ Bool HDAudioScan()
 
 HDAudioScan;
 Kill(hda.task);
-HDAudioScan;
\ No newline at end of file
+HDAudioScan;
\ No newline at end of file
diff --git a/src/Home/Sound/HDAudio1/Load.ZC b/src/Home/Sound/HDAudio1/Load.ZC
index 8fb4d20a..cf89cafa 100644
--- a/src/Home/Sound/HDAudio1/Load.ZC
+++ b/src/Home/Sound/HDAudio1/Load.ZC
@@ -3,4 +3,3 @@ Cd(__DIR__);
 SysFile("Sup1CodeScraps/Mem/Mem2Meg.ZC");
 SysFile("Sup1Snd/MakeSnd.ZC");
 SysFile("Sup1HDAudio/HDAudio.ZC");
-
\ No newline at end of file
diff --git a/src/Home/Sound/HDAudio1/Sup1CodeScraps/Mem/Mem2Meg.ZC b/src/Home/Sound/HDAudio1/Sup1CodeScraps/Mem/Mem2Meg.ZC
index fb94b9b9..00233577 100644
--- a/src/Home/Sound/HDAudio1/Sup1CodeScraps/Mem/Mem2Meg.ZC
+++ b/src/Home/Sound/HDAudio1/Sup1CodeScraps/Mem/Mem2Meg.ZC
@@ -166,7 +166,7 @@ U0 Mem2MegFree(CMemBlk *m,I64 pages2Meg,CBlkPool *bp=NULL)
     while (m2<m1) {
       pte=MemPageTable(m2);
       *pte=*pte & ~0x18;
-      InvalidatePage(m2);
+      InvalidatePage(m2);
       m2(U8 *)+=0x200000;
     }
     PUSHFD
diff --git a/src/Home/Sound/HDAudio1/Sup1HDAudio/Examples/Echo.ZC b/src/Home/Sound/HDAudio1/Sup1HDAudio/Examples/Echo.ZC
index fae70f2c..d367b8a1 100644
--- a/src/Home/Sound/HDAudio1/Sup1HDAudio/Examples/Echo.ZC
+++ b/src/Home/Sound/HDAudio1/Sup1HDAudio/Examples/Echo.ZC
@@ -96,4 +96,3 @@ U0 EchoDemo()
 }
 
 EchoDemo;
-
\ No newline at end of file
diff --git a/src/Home/Sound/HDAudio1/Sup1HDAudio/Examples/Guitar.ZC b/src/Home/Sound/HDAudio1/Sup1HDAudio/Examples/Guitar.ZC
index cbe4aa72..03189739 100644
--- a/src/Home/Sound/HDAudio1/Sup1HDAudio/Examples/Guitar.ZC
+++ b/src/Home/Sound/HDAudio1/Sup1HDAudio/Examples/Guitar.ZC
@@ -14,4 +14,4 @@ U0 Guitar(Bool val=ON,F64 
     }
 }
 
-Guitar(ON);
+Guitar(ON);
diff --git a/src/Home/Sound/HDAudio1/Sup1HDAudio/Examples/Synth.ZC b/src/Home/Sound/HDAudio1/Sup1HDAudio/Examples/Synth.ZC
index 43c0ef17..1d197f80 100644
--- a/src/Home/Sound/HDAudio1/Sup1HDAudio/Examples/Synth.ZC
+++ b/src/Home/Sound/HDAudio1/Sup1HDAudio/Examples/Synth.ZC
@@ -277,4 +277,3 @@ sy_done:
 }
 
 Synth;
-
\ No newline at end of file
diff --git a/src/Home/Sound/HDAudio1/Sup1HDAudio/HDAudio.ZC b/src/Home/Sound/HDAudio1/Sup1HDAudio/HDAudio.ZC
index ac00b25d..71ade959 100644
--- a/src/Home/Sound/HDAudio1/Sup1HDAudio/HDAudio.ZC
+++ b/src/Home/Sound/HDAudio1/Sup1HDAudio/HDAudio.ZC
@@ -654,7 +654,7 @@ public Bool HDAudioInit(I64 hd_bus, I64 hd_dev, I64 hd_fun)
 				_w = hda.bar + ISTR0 + STRFMT;
 				*_w = HD_DFT_IN_FMT;
 
-				LBts(&sys_semas[SEMA_SOUND], 0);	//turn off until cfg completed
+				LBts(&sys_semas[SEMA_SOUND], 0);	//turn off until cfg completed
 				LBtr(&snd_flags, Sf_FILLING_OUT);
 				hda.audio_task_started = FALSE;
 				if (mp_count > 1)
diff --git a/src/Home/Sound/HDAudio1/Sup1HDAudio/HDCfg.ZC b/src/Home/Sound/HDAudio1/Sup1HDAudio/HDCfg.ZC
index 0121d449..e6520cf8 100644
--- a/src/Home/Sound/HDAudio1/Sup1HDAudio/HDCfg.ZC
+++ b/src/Home/Sound/HDAudio1/Sup1HDAudio/HDCfg.ZC
@@ -649,7 +649,7 @@ U0 HDCfg()
 	PopUpOk(		"This is a tool to cfgure\n"
 		"HD Audio.It creates $$FG,RED$$~/HDAudioCfg.ZC.Z$$FG$$\n"
 		"which you should $$FG,GREEN$$
-#include$$FG$$ in your\n"
+#include$$FG$$ in your\n"
 		"$$FG,RED$$~/HomeSnd.ZC.Z$$FG$$ file.\n\n\n"
 		"Left click to see info and cfgure a widget.\n"
 		"Right click drag to connect output to input.\n\n"
diff --git a/src/Home/Sound/HDAudio1/Sup1Snd/SndFile.ZC b/src/Home/Sound/HDAudio1/Sup1Snd/SndFile.ZC
index 047e9d53..97c3fbf1 100644
--- a/src/Home/Sound/HDAudio1/Sup1Snd/SndFile.ZC
+++ b/src/Home/Sound/HDAudio1/Sup1Snd/SndFile.ZC
@@ -108,7 +108,7 @@ public I64 SndFileCreate(U8 *base_filename,F64 normalized_vol=1.0,
   s->body[cnt-1]=0;
 
   d=screencast.sound_head.next;
-  while (d!=&screencast.sound_head) {
+  while (d!=&screencast.sound_head) {
     d1=d->next;
     QueueRemove(d);
     Free(d);
diff --git a/src/Home/Sound/HDAudio1/Sup1Snd/SndMusic.ZC b/src/Home/Sound/HDAudio1/Sup1Snd/SndMusic.ZC
index 9d2780e6..464aff6b 100644
--- a/src/Home/Sound/HDAudio1/Sup1Snd/SndMusic.ZC
+++ b/src/Home/Sound/HDAudio1/Sup1Snd/SndMusic.ZC
@@ -202,7 +202,7 @@ U0 MusicSettingsReset()
   music.note_len=1.0;
   music.meter_top=4;
   music.meter_bottom=4;
-  SoundReset;
+  SoundReset;
   PUSHFD
   CLI
   if (mp_count>1)
